Bug 1592391 - [spawn-fcgi] Drop requirements for 'initscripts' from specfile
Summary: [spawn-fcgi] Drop requirements for 'initscripts' from specfile
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: spawn-fcgi
Version: 32
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Scott Wilkerson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1592330
TreeView+ depends on / blocked
 
Reported: 2018-06-18 13:25 UTC by David Kaspar [Dee'Kej]
Modified: 2020-02-11 15:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description David Kaspar [Dee'Kej] 2018-06-18 13:25:33 UTC
Hello!

Description of problem:
It appears your package depend on 'initscrits' package for some reason. However, most of the initscripts' dependants are no longer valid.

I hereby request you check your package/specfile, and either:
 * drop the initscripts dependancy and close this BZ, or
 * provide a justification in a comment for keeping the dependancy (without closing this BZ)

----------------------

NOTE: In case you are depending on initscripts because of networking scripts, then you will need to update your specfile to depend directly on new package 'network-scripts' (instead of 'initscripts').

If this is the case, please let us know in the comments and do not close the BZ  yet.

Additional info:
The requested change here is valid for Rawhide (F29) only. Do not backport these changes into F28 or F27, because it would break things.

Thank you for your co-operation! :)

 -- Dee'Kej --

Comment 1 Jan Kurik 2018-08-14 10:54:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Ben Cotton 2019-10-31 20:46:17 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Xavier Bachelot 2019-11-25 13:08:09 UTC
Still the same in rawhide.

Afaict, the initscript justs serve has an example.
Also, there's probably no need for spawn-fcgi on a systemd based distro anyway.

Comment 4 Ben Cotton 2020-02-11 15:43:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.